Activate Social Cause Campaign

​

Activates a social cause campaign

Headers

  • Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

Body

application/json
  • Unique ID assigned to the social cause campaign that will be activated. This ID is generated by Punchh when the social cause campaign is created in the Punchh platform.

Responses

  • application/json
Request Example for patch/api2/dashboard/social_cause_campaigns/activate
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/social_cause_campaigns/activate \
  --request PATCH \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "social_cause_id": 20504
}'
{
  "social_cause_id": 20504,
  "name": "social_cause_campaign_20",
  "description": "social_cause_campaign_description_19",
  "image_url": "IMAGE_URL_GOES_HERE",
  "miscellaneous": null,
  "city": "test_city",
  "state": "Rajasthan",
  "street": "ADDRESS_GOES_HERE",
  "zip": "302001",
  "phone_number": "1111111111",
  "email": "test@example.com",
  "address": "ADDRESS_GOES_HERE",
  "activated": true
}